Bug 14776 - Floating point exceptions in kernel-2.2.16-3smp in RH6.2
Floating point exceptions in kernel-2.2.16-3smp in RH6.2
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-27 19:54 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 19:30:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-07-27 19:54:22 EDT
Having similar problem as reported in Bug# 10509,
but am running from updates/6.2/i686/kernel-smp-2.2.16-3.i686.rpm.
Lilo boots with no initrd (IDE boot disk).

Seti@home processes will eventually (usually within 4 hours)
terminate with a floating point exception error.  The same behavior
can be seen in Quake3.

Machine is Tyan Tiger 100 motherboard with 2x PIII 700e processors
installed.  128MB RAM.

I have not tried other kernels to this point, and will be glad to do some
troubleshooting per your guidance.

Best Regards
Steve McKown
Comment 1 Bill Nottingham 2000-07-27 22:17:19 EDT
What happens if you install the i586 or i386 kernel
instead of the i686 kernel?
Comment 2 Need Real Name 2000-07-28 12:10:40 EDT
28 Jul - kernel 2.2.16-3smp compiled for 386
(updates/6.2/i386.kernel-smp-2.2.16-3.i386.rpm) has not
demonstrated the problem in about 10 hours of operation
where it used to happen generally within 4.  It appears
this compiled kernel does not exhibit the problem.

All my other machines have custom-built kernels, and
so it the plan for this machine.  Do you have an idea
of the element of the 686 kernel that is causing this issue,
so that I can attempt to avoid it?  I do definitely prefer
to have code compiled to take advantage of the 686
instruction set if possible.
Comment 3 Michael K. Johnson 2000-08-01 15:39:34 EDT
We did not enable the PIII patches (KNI instructions) in the
2.2.16-3 kernel, so that isn't the problem, at any rate.  It
could possibly be slightly flaky hardware that isn't stressed
as hard with the other kernels, so there's no guarantee of
a kernel config option that would change it.  You can try
building kernels with specific changes, such as turning off
bigmem support -- that's one of the differences between
the i686 and lower kernels.

Note You need to log in before you can comment on or make changes to this bug.